geos::operation::overlayng::PrecisionReducer Class Reference

`#include <PrecisionReducer.h>`

## Static Public Member Functions

static std::unique_ptr< Geometry > | reducePrecision (const Geometry *geom, const PrecisionModel *pm, bool replacePrecisionModel=false)

## Detailed Description

Reduces the precision of a geometry by rounding it to the supplied `geom::PrecisionModel`.

The output is always a valid geometry. This implies that input components may be merged if they are closer than the grid precision. if merging is not desired, then the individual geometry components should be processed separately.

The output is fully noded. This provides an effective way to node / snap-round a collection of `geom::LineString`s.

The documentation for this class was generated from the following file:

- PrecisionReducer.h